Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginProtein

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginProtein

    public class PluginProtein

extends PluginSBase

This class represents Protein.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`protected` | `PluginProtein()` Constructor
`protected` | `PluginProtein(java.lang.String extensionId)` Constructor

Method Summary
`void` | `addPluginBindingRegion(PluginBindingRegion bindingRegion)` Adds a PluginBindingRegion to the list.
`void` | `addPluginModificationResidue(PluginModificationResidue residue)` Adds a PluginModificationResidue to the list.
`java.lang.String` | `getExtensionId()`
`PluginListOf` | `getListOfPluginBindingRegion()`
`PluginListOf` | `getListOfPluginResidue()`
`java.lang.String` | `getName()`
`int` | `getNumBindingRegions()`
`int` | `getNumResidues()`
`PluginBindingRegion` | `getPluginBindingRegion(int index)` Gets the PluginBindingRegion with the given index.
`PluginModificationResidue` | `getPluginModificationResidue(int index)` Gets the PluginModificationResidue with the given index.
`java.lang.String` | `getType()`
`void` | `removePluginBindingRegion(int index)` Removes the PluginBindingRegion with the given index from the list.
`void` | `removePluginBindingRegion(PluginBindingRegion bindingRegion)` Removes the given PluginBindingRegion from the list.
`void` | `removePluginModificationResidue(int index)` Removes the PluginModificationResidue with the given index from the list.
`void` | `removePluginModificationResidue(PluginModificationResidue residue)` Removes the given PluginModificationResidue from the list.
`void` | `setListOfPluginBindingRegion(PluginListOf listOfPluginBindingRegion)` Sets the list of PluginBindingRegion of this PluginProtein.
`void` | `setListOfPluginResidue(PluginListOf listOfPluginResidue)` Sets the list of PluginModificationResidue of this PluginProtein.
`void` | `setName(java.lang.String name)` Sets the name of this PluginProtein.
`void` | `setType(java.lang.String type)` Sets the type of this PluginProtein.
`void` | `update(PluginProtein rna)` Update all properties of this PluginProtein to the same as the given PluginProtein

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginProtein

    protected PluginProtein()

  Constructor

### PluginProtein

    protected PluginProtein(java.lang.String extensionId)

  Constructor

  Parameters:
    `extensionId` -

Method Detail

### update

    public void update(PluginProtein rna)

  Update all properties of this PluginProtein to the same as the given PluginProtein

  Parameters:
    `rna` - PluginProtein

### getExtensionId

    public java.lang.String getExtensionId()

  Returns:
    the Id of this PluginProtein.

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginProtein.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginProtein.

  Parameters:
    `name` -

### getType

    public java.lang.String getType()

  Returns:
    the type of this PluginProtein.

### setType

    public void setType(java.lang.String type)

  Sets the type of this PluginProtein.

  Parameters:
    `type` -

### getListOfPluginResidue

    public PluginListOf getListOfPluginResidue()

  Returns:
    the list of PluginModificationResidue of this PluginProtein.

### setListOfPluginResidue

    public void setListOfPluginResidue(PluginListOf listOfPluginResidue)

  Sets the list of PluginModificationResidue of this PluginProtein.

  Parameters:
    `listOfPluginResidue` -

### addPluginModificationResidue

    public void addPluginModificationResidue(PluginModificationResidue residue)

  Adds a PluginModificationResidue to the list.

  Parameters:
    `residue` - PluginModificationResidue

### removePluginModificationResidue

    public void removePluginModificationResidue(PluginModificationResidue residue)

  Removes the given PluginModificationResidue from the list.

  Parameters:
    `residue` -

### removePluginModificationResidue

    public void removePluginModificationResidue(int index)

  Removes the PluginModificationResidue with the given index from the list.

  Parameters:
    `index` -

### getPluginModificationResidue

    public PluginModificationResidue getPluginModificationResidue(int index)

  Gets the PluginModificationResidue with the given index.

  Parameters:
    `index` -
  Returns:
    PluginModificationResidue

### getNumResidues

    public int getNumResidues()

  Returns:
    the number of PluginModificationResidue

### getListOfPluginBindingRegion

    public PluginListOf getListOfPluginBindingRegion()

  Returns:
    the list of PluginBindingRegion of this PluginProtein.

### setListOfPluginBindingRegion

    public void setListOfPluginBindingRegion(PluginListOf listOfPluginBindingRegion)

  Sets the list of PluginBindingRegion of this PluginProtein.

  Parameters:
    `listOfPluginBindingRegion` -

### addPluginBindingRegion

    public void addPluginBindingRegion(PluginBindingRegion bindingRegion)

  Adds a PluginBindingRegion to the list.

  Parameters:
    `bindingRegion` - PluginBindingRegion

### removePluginBindingRegion

    public void removePluginBindingRegion(PluginBindingRegion bindingRegion)

  Removes the given PluginBindingRegion from the list.

  Parameters:
    `bindingRegion` -

### removePluginBindingRegion

    public void removePluginBindingRegion(int index)

  Removes the PluginBindingRegion with the given index from the list.

  Parameters:
    `index` -

### getPluginBindingRegion

    public PluginBindingRegion getPluginBindingRegion(int index)

  Gets the PluginBindingRegion with the given index.

  Parameters:
    `index` -
  Returns:
    PluginBindingRegion

### getNumBindingRegions

    public int getNumBindingRegions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD